This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 556960

Summary: Consider adding Uninventory button back for services
Product: [Other] RHQ Project Reporter: Charles Crouch <ccrouch>
Component: Core UIAssignee: Simeon Pinder <spinder>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ccrouch, cwelton, hbrock, loleary, mazz, mfoley
Target Milestone: ---Keywords: SubBug
Target Release: ---   
Hardware: All   
OS: All   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=534750
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-03 12:59:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 577853, 585306    

Description Charles Crouch 2010-01-19 17:32:29 EST
In the Browse Resources view you used to be able to uninventory services just as you can uninventory platforms and servers. The problem was that people would use this button to stop monitoring a service, but without removing the underlying resource. They would then complain when the service was re-discovered and automatically added back to the inventory.
So we removed the uninventory button from the services section, but added a work around of adding "&debug=true" to the query string to reenable the button.

This approach too has flaws however, since for people that do legitimately want to remove services external to JON, they have no way of removing the corresponding JON resources without using the workaround above.

Perhaps a better approach would be to be bring back the service uninventory button back, but add a warning popup when people are using it, that if the underlying service hasnt been deleted, then it will get rediscovered and added back to the inventory.
Comment 1 wes hayutin 2010-02-16 11:57:51 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:02:45 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Larry O'Leary 2010-03-05 17:09:58 EST
This seems to be related to https://bugzilla.redhat.com/show_bug.cgi?id=534750.  Although we should probably re-introduce the ability to un-inventory services with some kind of notice to the user, we should also look at a method to un-inventory and ignore services.  What might be ideal is on the Auto-Discovery queue page, instead of displaying what is currently being auto-discovered, include everything that has been discovered currently or in the past and give the ability to un-inventory and ignore much like we have with platforms and servers.
Comment 4 Charles Crouch 2010-04-27 12:03:19 EDT
re: Comment 3. I think "service ignore" is out of scope for the current release
Comment 5 Joseph Marques 2010-04-27 13:39:15 EDT
IIRC, the reason the button was removed was because we were getting a steady stream of customer support cases each week asking why uninventory didn't actually uninventory things.  From the user's perspective they would say "I clicked uninventory...but then resource re-appeared a few moments later".  So, from their perspective our software looked buggy.  We then had to go into a long shpeal about how this feature technically isn't implemented for any resource which isn't a platform or a top-level server (so it encompasses services as well as nested servers like Tomcat)

After the "pseudo-fix" of hiding the button, I recall support for this issue going way down.  Over the next year or so, I can only remember a handful of times when customers asked about how to remove services, at which point we explained they technically didn't support that (i.e., fessed up to fact that we lacked that feature) but gave them a workaround with explanation.

IMO, the solution as it stands today is the superior of the two.  Customers will call in...want to know how to do something...we'll have to deliver the bad news (that we don't support ignoring all types of resources yet)...but we balance that with some good news by giving them a known workaround.  Personally, I'd rather have users / customers thinking that we have clever, partial work-arounds for shortcomings of the product as opposed to us releasing features that are buggy and produce unexpected results.
Comment 6 Charles Crouch 2010-04-27 14:21:37 EDT
It wouldnt be an unexpected result if we warned them before doing the action :-)
Comment 7 Joseph Marques 2010-12-13 15:00:53 EST
the uninventory button should be exposed in the new gwt ui.  we still need to add that warning when any services are selected.  see my earlier comment about the semantics of uninventorying services to help craft an appropriate warning message.
Comment 8 Corey Welton 2010-12-16 08:50:56 EST
Simeon, can we put a warning in here re: services?
Comment 9 John Mazzitelli 2011-03-22 15:53:22 EDT
commit 6996576

when you uninventory any kind of resource, the old message was this:

Are you sure you want to uninventory the selected resources?

now when you uninventory any kind of resource, the new message is this:

Are you sure you want to uninventory the selected resources? Note that if a selected resource still exists, then it will get rediscovered during its agent's next discovery scan.

For us devs, this is the Message key "view_inventory_resources_uninventoryConfirm"
Comment 10 Mike Foley 2011-04-19 16:37:12 EDT
this feature has been added.  verified during 04/29/2011 qualification cycle.
Comment 11 Heiko W. Rupp 2013-09-03 12:59:09 EDT
Bulk closing of old issues that are in VERIFIED state.